Page MenuHomePhabricator

MultimediaViewer browser tests should run on a per commit basis
Closed, ResolvedPublic3 Story Points

Description

Process all documented here:
https://www.mediawiki.org/wiki/Continuous_integration/Browser_tests https://www.mediawiki.org/wiki/Reading/Web#QA
Let's make this happen.

Add the @integration tag to things that are passin.

If any tests are currently failing please update T94157 with specifics.

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : masterAdd integration tests to each commit
integration/config : masterRun MultimediaViewer browser tests on each commit

Event Timeline

Jdlrobson raised the priority of this task from to High.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: MediaViewer.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 3:56 PM
Jdlrobson updated the task description. (Show Details)Dec 21 2015, 4:59 PM
Jdlrobson set Security to None.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Dec 21 2015, 5:28 PM
KLans_WMF edited a custom field.Dec 21 2015, 5:30 PM

Change 260866 had a related patch set uploaded (by Jdlrobson):
Run MultimediaViewer browser tests on each commit

https://gerrit.wikimedia.org/r/260866

Change 260866 merged by jenkins-bot:
Run MultimediaViewer browser tests on each commit

https://gerrit.wikimedia.org/r/260866

Change 260881 had a related patch set uploaded (by Jdlrobson):
Add integration tests to each commit

https://gerrit.wikimedia.org/r/260881

Tgr added a subscriber: Tgr.Dec 24 2015, 8:07 PM

Looks like a directory permission issue.

I really, really recommend using vagrant as your test environment. You don't want to spend your time debugging while the tests behave differently on your test runner machine than locally.

@Tgr I'm sure the release engineering who are already overstretched would welcome some help with that :)
https://gerrit.wikimedia.org/r/260881 is passing now

Change 260881 merged by jenkins-bot:
Add integration tests to each commit

https://gerrit.wikimedia.org/r/260881

phuedx added a subscriber: phuedx.

See 267654 for a demonstration.

phuedx closed this task as Resolved.Feb 1 2016, 11:06 AM